# Views Advance Date Filter

The `views_advance_date_filter` module extends Drupal's Views functionality by adding advanced filters for fields of type `date` and `datetime`. This module enables users to search and filter content based on specific time such as months, quarters, or years, providing greater flexibility in content organization and display.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/views_advance_date_filter).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/views_advance_date_filter).




## Features
- **New Filters for Date and Datetime Fields:**
  - Filter by Month.
  - Filter by Quarter.
  - Filter by Year.
- Seamless integration with Drupal Views.
- User-friendly interface for defining and applying date filters.

## Requirements
- Drupal 10 or higher.
- Views module enabled (core module).

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration
1. Navigate to `Structure > Views`.
2. Edit or create a new View that includes a `date` or `datetime` field.
3. Add a filter criteria and select one of the new options provided by this module (e.g., Month, Quarter, Year).
4. Customize filter settings as needed and save the View.

## Usage
Once installed and configured:
- Users can apply the newly available filters to their Views.
- The filters can be exposed to allow front-end users to dynamically filter content based on month, quarter, or year.

### Example Use Cases
- **Content Archival:** Provide visitors with an archive view that allows filtering articles by year or month.
- **Quarterly Reports:** Create a report view that segments data by quarters.
- **Event Listings:** Display events filtered by specific months or years.

## Maintainers

- Ajay Mallah - [ajay-mallah](https://www.drupal.org/u/ajay-mallah)
- Rohan Singh - [rohan_singh](https://www.drupal.org/u/rohan_singh)
- Vishal Prasad - [vishal-prasad](https://www.drupal.org/u/vishal-prasad)

